Bug 215133 - www/kannel: Improve port and declare dependency
Summary: www/kannel: Improve port and declare dependency
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Emanuel Haupt
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-08 02:51 UTC by Danilo G. Baio
Modified: 2016-12-16 14:21 UTC (History)
2 users (show)

See Also:
dbaio: maintainer-feedback+
koobs: merge-quarterly+


Attachments
kannel-1.4.4_3.patch (1.59 KB, patch)
2016-12-08 02:51 UTC, Danilo G. Baio
dbaio: maintainer-approval+
Details | Diff
kannel-1.4.4_3_v02.patch (1.71 KB, patch)
2016-12-14 13:50 UTC, Danilo G. Baio
dbaio: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danilo G. Baio freebsd_committer 2016-12-08 02:51:49 UTC
Created attachment 177774 [details]
kannel-1.4.4_3.patch

- Document iconv dependency
- Switch to USES=localbase
- Move from USE_OPENSSL to USES=ssl
- Add TIMESTAMP on distinfo
- Bump PORTREVISION

portlint: OK (looks fine.)

testport: 
	poudriere: i386,  9.3   (OK)
	poudriere: amd64, 9.3   (OK)
	poudriere: i386,  10.3  (OK)
	poudriere: amd64, 10.3  (OK)
	poudriere: i386,  11    (OK)
	poudriere: amd64, 11    (OK)	
	poudriere: i386,  12    (OK)
	poudriere: amd64, 12    (OK)
Comment 1 Emanuel Haupt freebsd_committer 2016-12-13 08:16:56 UTC
Can you explain why you've added the use of bison?
Comment 2 Danilo G. Baio freebsd_committer 2016-12-13 13:41:14 UTC
Hi Emanuel.

I added iconv, localbase and ssl on this patch, then I reordered USES, bison came in on ports r386476.
IIRC it wasn't building with byacc/yacc, that's why I added bison that time.

And iconv was added because of 9.3 RELEASE:

====> Running Q/A tests (stage-qa)
Error: /usr/local/bin/decode_emimsg is linked to /usr/local/lib/libiconv.so.2 from converters/libiconv but it is not declared as a dependency
Warning: you need USES+=iconv
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-12-13 14:08:23 UTC
The following come across as a bit odd, especially given this port is GNU_CONFIGURE=yes

 CONFIGURE_ARGS=	--with-cflags="${CPPFLAGS}" --with-libs="${LDFLAGS}" \

- cflags=CPPFLAGS (not =${CFLAGS}) ?
- libs=LDFLAGS (not =${LIBS}) ?

I'd be testing without these to see what the differences are in terms of dependency detection and linking, without USES=localbase which is widely scoped, and should only be used if absolutely necessary.
Comment 4 Danilo G. Baio freebsd_committer 2016-12-14 13:50:58 UTC
Created attachment 177964 [details]
kannel-1.4.4_3_v02.patch


Hi
You caught a good point.
Those options came in on ports r124568.
I've made some tests with the attached patch and worked fine, 
since yesterday I am running kannel without problems as well.


portlint: OK (looks fine.)

testport: 
	poudriere: i386,  9.3   (OK)
	poudriere: amd64, 9.3   (OK)
	poudriere: i386,  10.3  (OK)
	poudriere: amd64, 10.3  (OK)
	poudriere: i386,  11    (OK)
	poudriere: amd64, 11    (OK)	
	poudriere: i386,  12    (OK)
	poudriere: amd64, 12    (OK)
Comment 5 commit-hook freebsd_committer 2016-12-14 14:26:24 UTC
A commit references this bug:

Author: ehaupt
Date: Wed Dec 14 14:25:58 UTC 2016
New revision: 428563
URL: https://svnweb.freebsd.org/changeset/ports/428563

Log:
  - Document the iconv runtime dependency
  - Move from USE_OPENSSL to USES=ssl
  - Move from MYSQL_USE to MYSQL_USES
  - Bump PORTREVISION (because of dependency change)

  PR:             215133
  Submitted by:   dbaio@bsd.com.br (maintainer)
  MFH:            2016Q4

Changes:
  head/www/kannel/Makefile
  head/www/kannel/distinfo
Comment 6 Emanuel Haupt freebsd_committer 2016-12-14 14:28:26 UTC
Thanks for the feedback, committed.
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-12-16 12:23:46 UTC
Re-open pending MFH, assign to committer resolving
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2016-12-16 14:20:28 UTC
MFH'd in r428631 [1] but was missing PR: 215133 reference so was not referenced here.

[1] https://svnweb.freebsd.org/changeset/ports/428631